U++ - Bug #652

ChStdSkin() & ChClassicSkin() should check the state of IsCompositedGui flag

01/19/2014 02:31 AM - Zbigniew Rebacz
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Personally, | think that we should always check the state of IsCompositedGui flag when theme is changed manualy. Code sample:

void ChStdSkin()
{
ChSysinit();
GUI_GlobalStyle_Write(GUISTYLE_XP); // <- Hard theme restart!

GUI_PopUpEffect_Write(Ctrl::IsCompositedGui() ? GUIEFFECT _NONE : GUIEFFECT _SLIDE);

ColoredOverride(Ctrlsimg::iml(), Ctrisimg::Iml());

P.S.
This check is important on POSIX platform (X11 & GTK)

PS2
ChGitk check this flag by default.

History

#1 - 01/27/2014 02:38 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

#2 - 01/29/2014 04:37 PM - Zbigniew Rebacz

- File Ch.cpp added
- Status changed from Approved to Patch ready

It seems that in this bug report | forgot to include proper file.

What needs to be updated:

- "Hard theme restart!" comment isn't nessasary

- ChClassicSkin needs IsCompositedGui flag check

#3 - 01/31/2014 08:11 AM - Miroslav Fidler
- Status changed from Patch ready to Approved

Files

Ch.cpp 1.94 KB
